PATCH/projects/api/v3/companies/{companyId}/rates.json

Set client rates for a company.

Set client rates for a company by role.

Path Params

  • Name
    companyId
    Type
    integer
    required
    Description

Body Params

ClientRatesRequest represents a request to set client rates for a company.

    • Name
      clientRateByRoleId
      Type
      dictionary[string, object]
      Description
      role ID -> amount

    Responses

    • Code
      200
      Type
      object
      Schema
      Description
      200 OK
      ClientRatesResponse contains information about company client rates.
    • Code
      400
      Type
      object
      Schema
      Description
      400 Bad Request
      ErrorResponse defines how []Error should be marshaled to JSON.
    • Code
      403
      Type
      object
      Schema
      Description
      403 Forbidden
      ErrorResponse defines how []Error should be marshaled to JSON.
    • Code
      404
      Type
      object
      Schema
      Description
      404 Not Found
      ErrorResponse defines how []Error should be marshaled to JSON.

    Examples

    200 OK

    ClientRatesResponse
    {
      "clientRateByRoleId": {
        "additionalProp": {
          "createdAt": "string",
          "createdByUser": {
            "id": 0,
            "meta": {},
            "type": "string"
          },
          "rate": {
            "amount": 0,
            "currency": {
              "id": 0,
              "meta": {},
              "type": "string"
            }
          },
          "role": {
            "id": 0,
            "meta": {},
            "type": "string"
          },
          "updatedAt": "string",
          "updatedByUser": {
            "id": 0,
            "meta": {},
            "type": "string"
          }
        }
      },
      "included": {
        "currencies": {
          "additionalProp": {
            "code": "string",
            "decimalPoints": 0,
            "id": 0,
            "name": "string",
            "symbol": "string"
          }
        }
      }
    }